<template>
  <div class="collection">
    <h1>Catalog</h1>
    <div class="catalog-container">
      <div
        v-for="product in getProducts"
        :key="product._id"
        v-show="
          product.price <= this.productPrice &&
          product.brand_name === this.brandName
        "
      >
        <div class="card">
          <div class="img">
            <img :src="product.product_img" width="250" alt="" />
          </div>
          <div class="product-details">
            <div class="product-name">
              {{ product.product_name }}
            </div>
            <div class="price">
              {{ product.price }}
            </div>
            <div class="brand-name">
              {{ product.brand_name }}
            </div>
          </div>
          <div class="button">
            <button>Select Product</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from "vuex";
export default {
  props: ["brandName", "productPrice"],
  methods: {
    ...mapActions(["fetchProducts"]),
  },
  computed: mapGetters(["getProducts"]),
  created() {
    this.fetchProducts();
  },
  mounted() {
    console.log(this.brandName, this.productPrice);
  },
};
</script>

<style scoped>
.catalog-container {
  display: grid;
  grid-template-columns: repeat(3, auto);
  row-gap: 20px;
  width: 70%;
}

img {
  border-radius: 10px;
}

.card {
  display: grid;
  justify-content: center;
  width: 250px;

  padding: 5px;
  border: 1px solid grey;
  border-radius: 10px;
  height: 300px;
}

.button {
  align-self: flex-end;
  width: 100%;
}

.product-name {
  color: rgb(10, 42, 100);
  font-weight: bolder;
  font-size: 16px;
}

.product-details {
  display: grid;
  padding-left: 15px;
  gap: 5px;
}

.price {
  color: rgb(109, 179, 109);
  font-weight: 500;
}

.brand-name {
  font-size: 12px;
  color: grey;
}

button {
  border: 1px solid rgb(10, 42, 100);
  background: rgb(10, 42, 100);
  border-radius: 10px;
  color: white;
  width: 100%;
  font-size: 14px;
  font-weight: 500;
  padding: 10px;
  transition-duration: 00.3s;
  cursor: pointer;
  /* text-align: center; */
}

button:hover {
  background: none;
  color: rgb(10, 42, 100);
}
</style>